=== modified file 'userdb/users.sql'
--- userdb/users.sql	2008-04-06 15:04:54 +0000
+++ userdb/users.sql	2008-07-07 05:59:07 +0000
@@ -19,10 +19,16 @@
     settings    VARCHAR
 );
 
+CREATE TABLE subject (
+    subjectid       SERIAL PRIMARY KEY NOT NULL,
+    subj_code       VARCHAR UNIQUE NOT NULL,
+    subj_name       VARCHAR NOT NULL,
+    subj_short_name VARCHAR     -- may be null
+);
+
 CREATE TABLE offering (
     offeringid  SERIAL PRIMARY KEY NOT NULL,
-    subj_name   VARCHAR NOT NULL,
-    subj_code   VARCHAR NOT NULL,
+    subject     INT4 REFERENCES subject (subjectid) NOT NULL,
     year        CHAR(4) NOT NULL,
     semester    CHAR(1) NOT NULL,
     url         VARCHAR

